Package org.apache.sling.feature.cpconverter.accesscontrol

## Class AccessControlEntry

- java.lang.Object
- - org.apache.sling.feature.cpconverter.accesscontrol.AccessControlEntry

    public final class AccessControlEntry
    extends Object

Simple single ACL statement representation.

### Constructor Summary

Constructors
`AccessControlEntry​(boolean isAllow, @NotNull List<String> privileges, @NotNull RepoPath repositoryPath)`
`AccessControlEntry​(boolean isAllow, @NotNull List<String> privileges, @NotNull RepoPath repositoryPath, boolean isPrincipalBased)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addRestriction​(@NotNull String restrictionName, List<String> values)`
`@NotNull org.apache.sling.repoinit.parser.operations.AclLine` `asAclLine​(@NotNull String path)`
`@NotNull RepoPath` `getRepositoryPath()`
`boolean` `isPrincipalBased()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AccessControlEntry

    public AccessControlEntry​(boolean isAllow,
                              @NotNull
                              @NotNull List<String> privileges,
                              @NotNull
                              @NotNull RepoPath repositoryPath)

#### AccessControlEntry

    public AccessControlEntry​(boolean isAllow,
                              @NotNull
                              @NotNull List<String> privileges,
                              @NotNull
                              @NotNull RepoPath repositoryPath,
                              boolean isPrincipalBased)

### Method Detail

#### addRestriction

    public void addRestriction​(@NotNull
                               @NotNull String restrictionName,
                               List<String> values)

#### getRepositoryPath

    @NotNull
    public @NotNull RepoPath getRepositoryPath()

#### isPrincipalBased

    public boolean isPrincipalBased()

#### asAclLine

    @NotNull
    public @NotNull org.apache.sling.repoinit.parser.operations.AclLine asAclLine​(@NotNull
                                                                                  @NotNull String path)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`